Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlInt

All Superinterfaces:
  XmlAnySimpleType, XmlDecimal, XmlInteger, XmlLong, XmlObject, XmlTokenSource

All Known Subinterfaces:
  XmlByte, XmlShort

All Known Implementing Classes:
  XmlByteImpl, XmlIntImpl, XmlIntRestriction, XmlShortImpl

    public interface XmlInt

extends XmlLong

Corresponds to the XML Schema xs:int type. One of the derived types based on xs:decimal.

Naturally, convertible to a Java int.

Nested Class Summary
`static class` | `XmlInt.Factory` A class with methods for creating instances of `XmlInt`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`int` | `getIntValue()` Returns this value as an int
`int` | `intValue()` Deprecated. replaced with `getIntValue()`
`void` | `set(int v)` Deprecated. replaced with `setIntValue(int)`
`void` | `setIntValue(int v)` Sets this value as an int

Methods inherited from interface org.apache.xmlbeans.XmlLong
`getLongValue, longValue, set, setLongValue`

Methods inherited from interface org.apache.xmlbeans.XmlInteger
`bigIntegerValue, getBigIntegerValue, set, setBigIntegerValue`

Methods inherited from interface org.apache.xmlbeans.XmlDecimal
`bigDecimalValue, getBigDecimalValue, set, setBigDecimalValue`

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### getIntValue

    int getIntValue()

  Returns this value as an int

### setIntValue

    void setIntValue(int v)

  Sets this value as an int

### intValue

    int intValue()

  Deprecated. replaced with `getIntValue()`

  Returns this value as an int

### set

    void set(int v)

  Deprecated. replaced with `setIntValue(int)`

  Sets this value as an int

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD